Bug 1279063 - [abrt] Thunar: vasprintf(): thunar killed by SIGSEGV
[abrt] Thunar: vasprintf(): thunar killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: Thunar (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mukundan Ragavan
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8d6727bb20bcb6f06b09d2891c0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-07 10:40 EST by Benjamin Ariel Nava Martinez
Modified: 2016-12-20 10:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:29:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (75.28 KB, text/plain)
2015-11-07 10:40 EST, Benjamin Ariel Nava Martinez
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-07 10:40 EST, Benjamin Ariel Nava Martinez
no flags Details
File: core_backtrace (4.65 KB, text/plain)
2015-11-07 10:40 EST, Benjamin Ariel Nava Martinez
no flags Details
File: dso_list (10.24 KB, text/plain)
2015-11-07 10:40 EST, Benjamin Ariel Nava Martinez
no flags Details
File: environ (1.32 KB, text/plain)
2015-11-07 10:40 EST, Benjamin Ariel Nava Martinez
no flags Details
File: exploitable (110 bytes, text/plain)
2015-11-07 10:40 EST, Benjamin Ariel Nava Martinez
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-07 10:40 EST, Benjamin Ariel Nava Martinez
no flags Details
File: maps (49.41 KB, text/plain)
2015-11-07 10:40 EST, Benjamin Ariel Nava Martinez
no flags Details
File: mountinfo (3.38 KB, text/plain)
2015-11-07 10:40 EST, Benjamin Ariel Nava Martinez
no flags Details
File: open_fds (2.48 KB, text/plain)
2015-11-07 10:40 EST, Benjamin Ariel Nava Martinez
no flags Details
File: proc_pid_status (1001 bytes, text/plain)
2015-11-07 10:40 EST, Benjamin Ariel Nava Martinez
no flags Details

  None (edit)
Description Benjamin Ariel Nava Martinez 2015-11-07 10:40:33 EST
Version-Release number of selected component:
Thunar-1.6.10-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        Thunar --daemon
crash_function: vasprintf
executable:     /usr/bin/thunar
global_pid:     2522
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #3 vasprintf at /usr/include/bits/stdio2.h:210
 #4 g_vasprintf at gprintf.c:316
 #5 g_string_append_vprintf at gstring.c:1142
 #6 g_string_append_printf at gstring.c:1246
 #7 g_log_default_handler at gmessages.c:1456
 #10 g_return_if_fail_warning at gmessages.c:1128
 #11 thunarx_file_info_changed at thunarx-file-info.c:365
 #12 thunar_file_reload at thunar-file.c:3934
 #17 gtk_main at gtkmain.c:1268
Comment 1 Benjamin Ariel Nava Martinez 2015-11-07 10:40:38 EST
Created attachment 1090977 [details]
File: backtrace
Comment 2 Benjamin Ariel Nava Martinez 2015-11-07 10:40:40 EST
Created attachment 1090978 [details]
File: cgroup
Comment 3 Benjamin Ariel Nava Martinez 2015-11-07 10:40:41 EST
Created attachment 1090979 [details]
File: core_backtrace
Comment 4 Benjamin Ariel Nava Martinez 2015-11-07 10:40:42 EST
Created attachment 1090980 [details]
File: dso_list
Comment 5 Benjamin Ariel Nava Martinez 2015-11-07 10:40:43 EST
Created attachment 1090981 [details]
File: environ
Comment 6 Benjamin Ariel Nava Martinez 2015-11-07 10:40:44 EST
Created attachment 1090982 [details]
File: exploitable
Comment 7 Benjamin Ariel Nava Martinez 2015-11-07 10:40:45 EST
Created attachment 1090983 [details]
File: limits
Comment 8 Benjamin Ariel Nava Martinez 2015-11-07 10:40:46 EST
Created attachment 1090984 [details]
File: maps
Comment 9 Benjamin Ariel Nava Martinez 2015-11-07 10:40:47 EST
Created attachment 1090985 [details]
File: mountinfo
Comment 10 Benjamin Ariel Nava Martinez 2015-11-07 10:40:48 EST
Created attachment 1090986 [details]
File: open_fds
Comment 11 Benjamin Ariel Nava Martinez 2015-11-07 10:40:49 EST
Created attachment 1090987 [details]
File: proc_pid_status
Comment 12 Mukundan Ragavan 2015-11-07 10:41:41 EST
What were you doing when you saw this crash?
Comment 13 Fedora End Of Life 2016-11-24 08:10:18 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2016-12-20 10:29:20 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.